# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/pkg-config gcc-c++ libgtk+2-devel
# END SourceDeps(oneline)
%define fedora 19
Summary:	3-dimensional perspective star map viewer
Name:		starplot
Version:	0.95.5
Release:	alt1_11
License:	GPLv2+
Group:		Engineering
URL:		http://starplot.org/
Source0:	http://starplot.org/downloads/%{name}-%{version}.tar.gz

Patch0:		%{name}-%{version}-desktop.patch


Requires:	xdg-utils

BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	gtk2-devel
BuildRequires:	xdg-utils
Source44: import.info

%description
StarPlot is a GTK+ based program, written in C++, which can be used
interactively to view three-dimensional perspective charts of stars.

%prep
%setup -q
%patch0 -p1

# Suppress rpmlint error.
iconv --from-code ISO8859-1 --to-code UTF-8 ./doc/examples/example.spec \
  --output example.utf-8 && mv example.utf-8 ./doc/examples/example.spec

%build
%configure --docdir=%{_docdir}/%{name}-%{version} \
  --disable-rpath --with-webbrowser=xdg-open
make %{?_smp_mflags}

%install

make install INSTALL="%{__install} -p" DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --delete-original \
%if (0%{?fedora} && 0%{?fedora} < 19) || (0%{?rhel} && 0%{?rhel} < 7)
  --vendor fedora \
%endif
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

# Remove *.stars files from documentation.
rm -f ./doc/examples/*.stars

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS
%doc ChangeLog
%doc COPYING
%doc NEWS
%doc NLS-TEAM
%doc README
%doc TODO
%doc doc/examples
%doc doc/html
%{_bindir}/%{name}
%{_bindir}/starconvert
%{_bindir}/starpkg
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/%{name}32x32.xpm
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/starconvert.1*
%{_mandir}/man1/starpkg.1*

%dir %{_datadir}/%{name}
%{_datadir}/%{name}/sample.stars
%{_datadir}/%{name}/test.stars

%changelog
* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.95.5-alt1_11
- initial fc import

